/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.base;

public class PluginDataGlobal extends com.mysql.grt.GrtObjectDataGlobal implements PluginData {

    public PluginDataGlobal(String globalObjectPath) {
        super(globalObjectPath);
    }

    public int getSingleArgument() {
        return getGrtGlobalAsInt("singleArgument");
    }

    public int setSingleArgument(int singleArgument) {
        setGrtGlobalFromInt("singleArgument", singleArgument);

        return getSingleArgument();
    }

    public String getCaption() {
        return getGrtGlobalAsString("caption");
    }

    public String setCaption(String caption) {
        setGrtGlobalFromString("caption", caption);

        return getCaption();
    }

    public String getDescription() {
        return getGrtGlobalAsString("description");
    }

    public String setDescription(String description) {
        setGrtGlobalFromString("description", description);

        return getDescription();
    }

    public String getGroupPath() {
        return getGrtGlobalAsString("groupPath");
    }

    public String setGroupPath(String groupPath) {
        setGrtGlobalFromString("groupPath", groupPath);

        return getGroupPath();
    }

    public String getModuleName() {
        return getGrtGlobalAsString("moduleName");
    }

    public String setModuleName(String moduleName) {
        setGrtGlobalFromString("moduleName", moduleName);

        return getModuleName();
    }

    public String getModuleFunctionName() {
        return getGrtGlobalAsString("moduleFunctionName");
    }

    public String setModuleFunctionName(String moduleFunctionName) {
        setGrtGlobalFromString("moduleFunctionName", moduleFunctionName);

        return getModuleFunctionName();
    }

    public com.mysql.grt.GrtStringList getCategories() {
        return (com.mysql.grt.GrtStringList) getGrtGlobalAsObject("categories");
    }

    public com.mysql.grt.GrtStringList setCategories(com.mysql.grt.GrtStringList categories) {
        setGrtGlobalFromObject("categories", categories);

        return getCategories();
    }

    public com.mysql.grt.GrtStringList getObjectStructNames() {
        return (com.mysql.grt.GrtStringList) getGrtGlobalAsObject("objectStructNames");
    }

    public com.mysql.grt.GrtStringList setObjectStructNames(com.mysql.grt.GrtStringList objectStructNames) {
        setGrtGlobalFromObject("objectStructNames", objectStructNames);

        return getObjectStructNames();
    }

}
