/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.base;

public class PluginGroupDataLocal extends com.mysql.grt.GrtObjectDataLocal implements PluginGroupData {

    private int position;

    private com.mysql.grt.base.PluginGroupList subGroups;

    private com.mysql.grt.base.PluginList plugins;

    public PluginGroupDataLocal(com.mysql.grt.GrtObject grtObject) {
        super(grtObject);
    }

    public int getPosition() {
        return position;
    }

    public int setPosition(int position) {
        this.position = position;

        return getPosition();
    }

    public com.mysql.grt.base.PluginGroupList getSubGroups() {
        if (subGroups == null)
            subGroups = new com.mysql.grt.base.PluginGroupList(this.grtObject);
        return subGroups;
    }

    public com.mysql.grt.base.PluginGroupList setSubGroups(com.mysql.grt.base.PluginGroupList subGroups) {
        this.subGroups = subGroups;
        return getSubGroups();
    }

    public com.mysql.grt.base.PluginList getPlugins() {
        if (plugins == null)
            plugins = new com.mysql.grt.base.PluginList(this.grtObject);
        return plugins;
    }

    public com.mysql.grt.base.PluginList setPlugins(com.mysql.grt.base.PluginList plugins) {
        this.plugins = plugins;
        return getPlugins();
    }

}
