/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.canvas;

public class CaptionDataGlobal extends com.mysql.grt.GrtObjectDataGlobal implements CaptionData {

    public CaptionDataGlobal(String globalObjectPath) {
        super(globalObjectPath);
    }

    public int getFontSize() {
        return getGrtGlobalAsInt("fontSize");
    }

    public int setFontSize(int fontSize) {
        setGrtGlobalFromInt("fontSize", fontSize);

        return getFontSize();
    }

    public int getFontWeight() {
        return getGrtGlobalAsInt("fontWeight");
    }

    public int setFontWeight(int fontWeight) {
        setGrtGlobalFromInt("fontWeight", fontWeight);

        return getFontWeight();
    }

    public double getConstraintMaxHeight() {
        return getGrtGlobalAsReal("constraintMaxHeight");
    }

    public double setConstraintMaxHeight(double constraintMaxHeight) {
        setGrtGlobalFromReal("constraintMaxHeight", constraintMaxHeight);

        return getConstraintMaxHeight();
    }

    public double getConstraintMaxWidth() {
        return getGrtGlobalAsReal("constraintMaxWidth");
    }

    public double setConstraintMaxWidth(double constraintMaxWidth) {
        setGrtGlobalFromReal("constraintMaxWidth", constraintMaxWidth);

        return getConstraintMaxWidth();
    }

    public double getConstraintMinHeight() {
        return getGrtGlobalAsReal("constraintMinHeight");
    }

    public double setConstraintMinHeight(double constraintMinHeight) {
        setGrtGlobalFromReal("constraintMinHeight", constraintMinHeight);

        return getConstraintMinHeight();
    }

    public double getConstraintMinWidth() {
        return getGrtGlobalAsReal("constraintMinWidth");
    }

    public double setConstraintMinWidth(double constraintMinWidth) {
        setGrtGlobalFromReal("constraintMinWidth", constraintMinWidth);

        return getConstraintMinWidth();
    }

    public String getText() {
        return getGrtGlobalAsString("text");
    }

    public String setText(String text) {
        setGrtGlobalFromString("text", text);

        return getText();
    }

    public String getFontFamily() {
        return getGrtGlobalAsString("fontFamily");
    }

    public String setFontFamily(String fontFamily) {
        setGrtGlobalFromString("fontFamily", fontFamily);

        return getFontFamily();
    }

    public String getFontStyle() {
        return getGrtGlobalAsString("fontStyle");
    }

    public String setFontStyle(String fontStyle) {
        setGrtGlobalFromString("fontStyle", fontStyle);

        return getFontStyle();
    }

    public String getHorizontalAlignment() {
        return getGrtGlobalAsString("horizontalAlignment");
    }

    public String setHorizontalAlignment(String horizontalAlignment) {
        setGrtGlobalFromString("horizontalAlignment", horizontalAlignment);

        return getHorizontalAlignment();
    }

    public String getVerticalAlignment() {
        return getGrtGlobalAsString("verticalAlignment");
    }

    public String setVerticalAlignment(String verticalAlignment) {
        setGrtGlobalFromString("verticalAlignment", verticalAlignment);

        return getVerticalAlignment();
    }

    public String getColor() {
        return getGrtGlobalAsString("color");
    }

    public String setColor(String color) {
        setGrtGlobalFromString("color", color);

        return getColor();
    }

    public String getBidiMode() {
        return getGrtGlobalAsString("bidiMode");
    }

    public String setBidiMode(String bidiMode) {
        setGrtGlobalFromString("bidiMode", bidiMode);

        return getBidiMode();
    }

}
