/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.canvas;

public class FigureElementDataLocal extends com.mysql.grt.GrtObjectDataLocal implements FigureElementData {

    private int resizable;

    private int expanded;

    private double constraintMaxHeight;

    private double constraintMaxWidth;

    private double constraintMinHeight;

    private double constraintMinWidth;

    private String layout;

    private String style;

    private com.mysql.grt.canvas.FigureElementList children;

    private com.mysql.grt.GrtHashMap caption;

    public FigureElementDataLocal(com.mysql.grt.GrtObject grtObject) {
        super(grtObject);
    }

    public int getResizable() {
        return resizable;
    }

    public int setResizable(int resizable) {
        this.resizable = resizable;

        return getResizable();
    }

    public int getExpanded() {
        return expanded;
    }

    public int setExpanded(int expanded) {
        this.expanded = expanded;

        return getExpanded();
    }

    public double getConstraintMaxHeight() {
        return constraintMaxHeight;
    }

    public double setConstraintMaxHeight(double constraintMaxHeight) {
        this.constraintMaxHeight = constraintMaxHeight;

        return getConstraintMaxHeight();
    }

    public double getConstraintMaxWidth() {
        return constraintMaxWidth;
    }

    public double setConstraintMaxWidth(double constraintMaxWidth) {
        this.constraintMaxWidth = constraintMaxWidth;

        return getConstraintMaxWidth();
    }

    public double getConstraintMinHeight() {
        return constraintMinHeight;
    }

    public double setConstraintMinHeight(double constraintMinHeight) {
        this.constraintMinHeight = constraintMinHeight;

        return getConstraintMinHeight();
    }

    public double getConstraintMinWidth() {
        return constraintMinWidth;
    }

    public double setConstraintMinWidth(double constraintMinWidth) {
        this.constraintMinWidth = constraintMinWidth;

        return getConstraintMinWidth();
    }

    public String getLayout() {
        return layout;
    }

    public String setLayout(String layout) {
        this.layout = layout;

        return getLayout();
    }

    public String getStyle() {
        return style;
    }

    public String setStyle(String style) {
        this.style = style;

        return getStyle();
    }

    public com.mysql.grt.GrtHashMap getCaption() {
        if (caption == null)
            caption = new com.mysql.grt.GrtHashMap(this.grtObject);
        return caption;
    }

    public com.mysql.grt.GrtHashMap setCaption(com.mysql.grt.GrtHashMap caption) {
        this.caption = caption;

        return getCaption();
    }

    public com.mysql.grt.canvas.FigureElementList getChildren() {
        if (children == null)
            children = new com.mysql.grt.canvas.FigureElementList(this.grtObject);
        return children;
    }

    public com.mysql.grt.canvas.FigureElementList setChildren(com.mysql.grt.canvas.FigureElementList children) {
        this.children = children;
        return getChildren();
    }

}
