/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.canvas;

public class LayerDataLocal extends com.mysql.grt.GrtObjectDataLocal implements LayerData {

    private int visible;

    private int enabled;

    private com.mysql.grt.GrtRealList scaling;

    private com.mysql.grt.GrtRealList translation;

    private com.mysql.grt.canvas.GroupList groups;

    private com.mysql.grt.canvas.FigureInstanceList figureInstances;

    public LayerDataLocal(com.mysql.grt.GrtObject grtObject) {
        super(grtObject);
    }

    public int getVisible() {
        return visible;
    }

    public int setVisible(int visible) {
        this.visible = visible;

        return getVisible();
    }

    public int getEnabled() {
        return enabled;
    }

    public int setEnabled(int enabled) {
        this.enabled = enabled;

        return getEnabled();
    }

    public com.mysql.grt.GrtRealList getScaling() {
        if (scaling == null)
            scaling = new com.mysql.grt.GrtRealList(this.grtObject);
        return scaling;
    }

    public com.mysql.grt.GrtRealList setScaling(com.mysql.grt.GrtRealList scaling) {
        this.scaling = scaling;
        return getScaling();
    }

    public com.mysql.grt.GrtRealList getTranslation() {
        if (translation == null)
            translation = new com.mysql.grt.GrtRealList(this.grtObject);
        return translation;
    }

    public com.mysql.grt.GrtRealList setTranslation(com.mysql.grt.GrtRealList translation) {
        this.translation = translation;
        return getTranslation();
    }

    public com.mysql.grt.canvas.GroupList getGroups() {
        if (groups == null)
            groups = new com.mysql.grt.canvas.GroupList(this.grtObject);
        return groups;
    }

    public com.mysql.grt.canvas.GroupList setGroups(com.mysql.grt.canvas.GroupList groups) {
        this.groups = groups;
        return getGroups();
    }

    public com.mysql.grt.canvas.FigureInstanceList getFigureInstances() {
        if (figureInstances == null)
            figureInstances = new com.mysql.grt.canvas.FigureInstanceList(this.grtObject);
        return figureInstances;
    }

    public com.mysql.grt.canvas.FigureInstanceList setFigureInstances(com.mysql.grt.canvas.FigureInstanceList figureInstances) {
        this.figureInstances = figureInstances;
        return getFigureInstances();
    }

}
