/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db;

public class CharacterSet extends com.mysql.grt.GrtObject {

    protected CharacterSet() {
    }

    public CharacterSet(Object obj) {
        super();

        if ((obj == null) || (obj instanceof com.mysql.grt.GrtObject)) {
            data = new CharacterSetDataLocal(this);

            data.setOwner((com.mysql.grt.GrtObject) obj);
            com.mysql.grt.Grt.getInstance().addToObjectCache(this);
        } else if (obj instanceof String) {
            data = new CharacterSetDataGlobal((String) obj);
        }
    }

    public String getDescription() {
        return ((CharacterSetData) data).getDescription();
    }

    public String setDescription(String description) {
        ((CharacterSetData) data).setDescription(description);

        return getDescription();
    }

    public String getDefaultCollation() {
        return ((CharacterSetData) data).getDefaultCollation();
    }

    public String setDefaultCollation(String defaultCollation) {
        ((CharacterSetData) data).setDefaultCollation(defaultCollation);

        return getDefaultCollation();
    }

    public com.mysql.grt.GrtStringList getCollations() {
        return ((CharacterSetData) data).getCollations();
    }

    public com.mysql.grt.GrtStringList setCollations(com.mysql.grt.GrtStringList collations) {
        ((CharacterSetData) data).setCollations(collations);

        return getCollations();
    }

    public StringBuffer getGrtXmlMembers(StringBuffer xml) {
        super.getGrtXmlMembers(xml);

            if (getDescription() != null) {
                xml.append("<value type=\"string\" key=\"description\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getDescription()) + "</value>\n");
            }

            if (getDefaultCollation() != null) {
                xml.append("<value type=\"string\" key=\"defaultCollation\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getDefaultCollation()) + "</value>\n");
            }

            if (getCollations() != null) {
                getCollations().getGrtXml(xml, " key=\"collations\"");
            }

        return xml;
    }
}
