/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db.maxdb;

public class ColumnDataGlobal extends com.mysql.grt.db.ColumnDataGlobal implements ColumnData {

    public ColumnDataGlobal(String globalObjectPath) {
        super(globalObjectPath);
    }

    public String getDefaultFunction() {
        return getGrtGlobalAsString("defaultFunction");
    }

    public String setDefaultFunction(String defaultFunction) {
        setGrtGlobalFromString("defaultFunction", defaultFunction);

        return getDefaultFunction();
    }

    public String getCodeType() {
        return getGrtGlobalAsString("codeType");
    }

    public String setCodeType(String codeType) {
        setGrtGlobalFromString("codeType", codeType);

        return getCodeType();
    }

    public String getPrivileges() {
        return getGrtGlobalAsString("privileges");
    }

    public String setPrivileges(String privileges) {
        setGrtGlobalFromString("privileges", privileges);

        return getPrivileges();
    }

    public String getDomainOwner() {
        return getGrtGlobalAsString("domainOwner");
    }

    public String setDomainOwner(String domainOwner) {
        setGrtGlobalFromString("domainOwner", domainOwner);

        return getDomainOwner();
    }

    public String getDomainName() {
        return getGrtGlobalAsString("domainName");
    }

    public String setDomainName(String domainName) {
        setGrtGlobalFromString("domainName", domainName);

        return getDomainName();
    }

    public String getCreateDate() {
        return getGrtGlobalAsString("createDate");
    }

    public String setCreateDate(String createDate) {
        setGrtGlobalFromString("createDate", createDate);

        return getCreateDate();
    }

    public String getCreateTime() {
        return getGrtGlobalAsString("createTime");
    }

    public String setCreateTime(String createTime) {
        setGrtGlobalFromString("createTime", createTime);

        return getCreateTime();
    }

    public String getAlterDate() {
        return getGrtGlobalAsString("alterDate");
    }

    public String setAlterDate(String alterDate) {
        setGrtGlobalFromString("alterDate", alterDate);

        return getAlterDate();
    }

    public String getAlterTime() {
        return getGrtGlobalAsString("alterTime");
    }

    public String setAlterTime(String alterTime) {
        setGrtGlobalFromString("alterTime", alterTime);

        return getAlterTime();
    }

}
