/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db.migration;

public class DatatypeMappingDataGlobal extends com.mysql.grt.GrtObjectDataGlobal implements DatatypeMappingData {

    public DatatypeMappingDataGlobal(String globalObjectPath) {
        super(globalObjectPath);
    }

    public int getLengthConditionFrom() {
        return getGrtGlobalAsInt("lengthConditionFrom");
    }

    public int setLengthConditionFrom(int lengthConditionFrom) {
        setGrtGlobalFromInt("lengthConditionFrom", lengthConditionFrom);

        return getLengthConditionFrom();
    }

    public int getLengthConditionTo() {
        return getGrtGlobalAsInt("lengthConditionTo");
    }

    public int setLengthConditionTo(int lengthConditionTo) {
        setGrtGlobalFromInt("lengthConditionTo", lengthConditionTo);

        return getLengthConditionTo();
    }

    public int getLength() {
        return getGrtGlobalAsInt("length");
    }

    public int setLength(int length) {
        setGrtGlobalFromInt("length", length);

        return getLength();
    }

    public int getPrecisionConditionFrom() {
        return getGrtGlobalAsInt("precisionConditionFrom");
    }

    public int setPrecisionConditionFrom(int precisionConditionFrom) {
        setGrtGlobalFromInt("precisionConditionFrom", precisionConditionFrom);

        return getPrecisionConditionFrom();
    }

    public int getPrecisionConditionTo() {
        return getGrtGlobalAsInt("precisionConditionTo");
    }

    public int setPrecisionConditionTo(int precisionConditionTo) {
        setGrtGlobalFromInt("precisionConditionTo", precisionConditionTo);

        return getPrecisionConditionTo();
    }

    public int getPrecision() {
        return getGrtGlobalAsInt("precision");
    }

    public int setPrecision(int precision) {
        setGrtGlobalFromInt("precision", precision);

        return getPrecision();
    }

    public int getScaleConditionFrom() {
        return getGrtGlobalAsInt("scaleConditionFrom");
    }

    public int setScaleConditionFrom(int scaleConditionFrom) {
        setGrtGlobalFromInt("scaleConditionFrom", scaleConditionFrom);

        return getScaleConditionFrom();
    }

    public int getScaleConditionTo() {
        return getGrtGlobalAsInt("scaleConditionTo");
    }

    public int setScaleConditionTo(int scaleConditionTo) {
        setGrtGlobalFromInt("scaleConditionTo", scaleConditionTo);

        return getScaleConditionTo();
    }

    public int getScale() {
        return getGrtGlobalAsInt("scale");
    }

    public int setScale(int scale) {
        setGrtGlobalFromInt("scale", scale);

        return getScale();
    }

    public int getAutoIncrement() {
        return getGrtGlobalAsInt("autoIncrement");
    }

    public int setAutoIncrement(int autoIncrement) {
        setGrtGlobalFromInt("autoIncrement", autoIncrement);

        return getAutoIncrement();
    }

    public int getUnsigned() {
        return getGrtGlobalAsInt("unsigned");
    }

    public int setUnsigned(int unsigned) {
        setGrtGlobalFromInt("unsigned", unsigned);

        return getUnsigned();
    }

    public String getSourceDatatypeName() {
        return getGrtGlobalAsString("sourceDatatypeName");
    }

    public String setSourceDatatypeName(String sourceDatatypeName) {
        setGrtGlobalFromString("sourceDatatypeName", sourceDatatypeName);

        return getSourceDatatypeName();
    }

    public String getTargetDatatypeName() {
        return getGrtGlobalAsString("targetDatatypeName");
    }

    public String setTargetDatatypeName(String targetDatatypeName) {
        setGrtGlobalFromString("targetDatatypeName", targetDatatypeName);

        return getTargetDatatypeName();
    }

    public String getCharacterSet() {
        return getGrtGlobalAsString("characterSet");
    }

    public String setCharacterSet(String characterSet) {
        setGrtGlobalFromString("characterSet", characterSet);

        return getCharacterSet();
    }

    public String getCollation() {
        return getGrtGlobalAsString("collation");
    }

    public String setCollation(String collation) {
        setGrtGlobalFromString("collation", collation);

        return getCollation();
    }

}
