/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db.mysql;

public class RoutineParam extends com.mysql.grt.GrtObject {

    protected RoutineParam() {
    }

    public RoutineParam(Object obj) {
        super();

        if ((obj == null) || (obj instanceof com.mysql.grt.GrtObject)) {
            data = new RoutineParamDataLocal(this);

            data.setOwner((com.mysql.grt.GrtObject) obj);
            com.mysql.grt.Grt.getInstance().addToObjectCache(this);
        } else if (obj instanceof String) {
            data = new RoutineParamDataGlobal((String) obj);
        }
    }

    public String getDatatype() {
        return ((RoutineParamData) data).getDatatype();
    }

    public String setDatatype(String datatype) {
        ((RoutineParamData) data).setDatatype(datatype);

        return getDatatype();
    }

    public String getParamType() {
        return ((RoutineParamData) data).getParamType();
    }

    public String setParamType(String paramType) {
        ((RoutineParamData) data).setParamType(paramType);

        return getParamType();
    }

    public StringBuffer getGrtXmlMembers(StringBuffer xml) {
        super.getGrtXmlMembers(xml);

            if (getDatatype() != null) {
                xml.append("<value type=\"string\" key=\"datatype\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getDatatype()) + "</value>\n");
            }

            if (getParamType() != null) {
                xml.append("<value type=\"string\" key=\"paramType\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getParamType()) + "</value>\n");
            }

        return xml;
    }
}
