/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db.query;

public class ResultsetColumn extends com.mysql.grt.GrtObject {

    protected ResultsetColumn() {
    }

    public ResultsetColumn(Object obj) {
        super();

        if ((obj == null) || (obj instanceof com.mysql.grt.GrtObject)) {
            data = new ResultsetColumnDataLocal(this);

            data.setOwner((com.mysql.grt.GrtObject) obj);
            com.mysql.grt.Grt.getInstance().addToObjectCache(this);
        } else if (obj instanceof String) {
            data = new ResultsetColumnDataGlobal((String) obj);
        }
    }

    public int getDisplayLength() {
        return ((ResultsetColumnData) data).getDisplayLength();
    }

    public int setDisplayLength(int displayLength) {
        ((ResultsetColumnData) data).setDisplayLength(displayLength);

        return getDisplayLength();
    }

    public int getDisplayDecimals() {
        return ((ResultsetColumnData) data).getDisplayDecimals();
    }

    public int setDisplayDecimals(int displayDecimals) {
        ((ResultsetColumnData) data).setDisplayDecimals(displayDecimals);

        return getDisplayDecimals();
    }

    public int getIsPrimaryKey() {
        return ((ResultsetColumnData) data).getIsPrimaryKey();
    }

    public int setIsPrimaryKey(int isPrimaryKey) {
        ((ResultsetColumnData) data).setIsPrimaryKey(isPrimaryKey);

        return getIsPrimaryKey();
    }

    public String getLength() {
        return ((ResultsetColumnData) data).getLength();
    }

    public String setLength(String length) {
        ((ResultsetColumnData) data).setLength(length);

        return getLength();
    }

    public String getColumnType() {
        return ((ResultsetColumnData) data).getColumnType();
    }

    public String setColumnType(String columnType) {
        ((ResultsetColumnData) data).setColumnType(columnType);

        return getColumnType();
    }

    public StringBuffer getGrtXmlMembers(StringBuffer xml) {
        super.getGrtXmlMembers(xml);

            xml.append("<value type=\"int\" key=\"displayLength\">"
                    + Integer.toString(getDisplayLength()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"displayDecimals\">"
                    + Integer.toString(getDisplayDecimals()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"isPrimaryKey\">"
                    + Integer.toString(getIsPrimaryKey()) + "</value>\n");

            if (getLength() != null) {
                xml.append("<value type=\"string\" key=\"length\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getLength()) + "</value>\n");
            }

            if (getColumnType() != null) {
                xml.append("<value type=\"string\" key=\"columnType\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getColumnType()) + "</value>\n");
            }

        return xml;
    }
}
