/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db.sybase;

public class Index extends com.mysql.grt.db.Index {

    protected Index() {
    }

    public Index(Object obj) {
        super();

        if ((obj == null) || (obj instanceof com.mysql.grt.GrtObject)) {
            data = new IndexDataLocal(this);

            data.setOwner((com.mysql.grt.GrtObject) obj);
            com.mysql.grt.Grt.getInstance().addToObjectCache(this);
        } else if (obj instanceof String) {
            data = new IndexDataGlobal((String) obj);
        }
    }

    public int getIgnoreDuplicateRows() {
        return ((IndexData) data).getIgnoreDuplicateRows();
    }

    public int setIgnoreDuplicateRows(int ignoreDuplicateRows) {
        ((IndexData) data).setIgnoreDuplicateRows(ignoreDuplicateRows);

        return getIgnoreDuplicateRows();
    }

    public int getClustered() {
        return ((IndexData) data).getClustered();
    }

    public int setClustered(int clustered) {
        ((IndexData) data).setClustered(clustered);

        return getClustered();
    }

    public StringBuffer getGrtXmlMembers(StringBuffer xml) {
        super.getGrtXmlMembers(xml);

            xml.append("<value type=\"int\" key=\"ignoreDuplicateRows\">"
                    + Integer.toString(getIgnoreDuplicateRows()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"clustered\">"
                    + Integer.toString(getClustered()) + "</value>\n");

        return xml;
    }
}
