/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.forms;

public class Form extends com.mysql.grt.forms.Widget {

    protected Form() {
    }

    public Form(Object obj) {
        super();

        if ((obj == null) || (obj instanceof com.mysql.grt.GrtObject)) {
            data = new FormDataLocal(this);

            data.setOwner((com.mysql.grt.GrtObject) obj);
            com.mysql.grt.Grt.getInstance().addToObjectCache(this);
        } else if (obj instanceof String) {
            data = new FormDataGlobal((String) obj);
        }
    }

    public int getActive() {
        return ((FormData) data).getActive();
    }

    public int setActive(int active) {
        ((FormData) data).setActive(active);

        return getActive();
    }

    public int getAlphaBlend() {
        return ((FormData) data).getAlphaBlend();
    }

    public int setAlphaBlend(int alphaBlend) {
        ((FormData) data).setAlphaBlend(alphaBlend);

        return getAlphaBlend();
    }

    public int getAlphaBlendValue() {
        return ((FormData) data).getAlphaBlendValue();
    }

    public int setAlphaBlendValue(int alphaBlendValue) {
        ((FormData) data).setAlphaBlendValue(alphaBlendValue);

        return getAlphaBlendValue();
    }

    public String getWindowState() {
        return ((FormData) data).getWindowState();
    }

    public String setWindowState(String windowState) {
        ((FormData) data).setWindowState(windowState);

        return getWindowState();
    }

    public String getEventOnCreate() {
        return ((FormData) data).getEventOnCreate();
    }

    public String setEventOnCreate(String eventOnCreate) {
        ((FormData) data).setEventOnCreate(eventOnCreate);

        return getEventOnCreate();
    }

    public String getEventOnDestroy() {
        return ((FormData) data).getEventOnDestroy();
    }

    public String setEventOnDestroy(String eventOnDestroy) {
        ((FormData) data).setEventOnDestroy(eventOnDestroy);

        return getEventOnDestroy();
    }

    public String getEventOnActivate() {
        return ((FormData) data).getEventOnActivate();
    }

    public String setEventOnActivate(String eventOnActivate) {
        ((FormData) data).setEventOnActivate(eventOnActivate);

        return getEventOnActivate();
    }

    public String getEventOnDeactivate() {
        return ((FormData) data).getEventOnDeactivate();
    }

    public String setEventOnDeactivate(String eventOnDeactivate) {
        ((FormData) data).setEventOnDeactivate(eventOnDeactivate);

        return getEventOnDeactivate();
    }

    public String getEventOnClose() {
        return ((FormData) data).getEventOnClose();
    }

    public String setEventOnClose(String eventOnClose) {
        ((FormData) data).setEventOnClose(eventOnClose);

        return getEventOnClose();
    }

    public com.mysql.grt.forms.Action getActions() {
        return ((FormData) data).getActions();
    }

    public com.mysql.grt.forms.Action setActions(com.mysql.grt.forms.Action actions) {
        ((FormData) data).setActions(actions);

        return getActions();
    }

    public com.mysql.grt.forms.Menuitem getMenuitems() {
        return ((FormData) data).getMenuitems();
    }

    public com.mysql.grt.forms.Menuitem setMenuitems(com.mysql.grt.forms.Menuitem menuitems) {
        ((FormData) data).setMenuitems(menuitems);

        return getMenuitems();
    }

    public com.mysql.grt.forms.Panel getPanels() {
        return ((FormData) data).getPanels();
    }

    public com.mysql.grt.forms.Panel setPanels(com.mysql.grt.forms.Panel panels) {
        ((FormData) data).setPanels(panels);

        return getPanels();
    }

    public com.mysql.grt.forms.Button getButtons() {
        return ((FormData) data).getButtons();
    }

    public com.mysql.grt.forms.Button setButtons(com.mysql.grt.forms.Button buttons) {
        ((FormData) data).setButtons(buttons);

        return getButtons();
    }

    public com.mysql.grt.forms.Edit getEdits() {
        return ((FormData) data).getEdits();
    }

    public com.mysql.grt.forms.Edit setEdits(com.mysql.grt.forms.Edit edits) {
        ((FormData) data).setEdits(edits);

        return getEdits();
    }

    public com.mysql.grt.forms.Checkbox getCheckboxes() {
        return ((FormData) data).getCheckboxes();
    }

    public com.mysql.grt.forms.Checkbox setCheckboxes(com.mysql.grt.forms.Checkbox checkboxes) {
        ((FormData) data).setCheckboxes(checkboxes);

        return getCheckboxes();
    }

    public com.mysql.grt.forms.Radiobutton getRadiobuttons() {
        return ((FormData) data).getRadiobuttons();
    }

    public com.mysql.grt.forms.Radiobutton setRadiobuttons(com.mysql.grt.forms.Radiobutton radiobuttons) {
        ((FormData) data).setRadiobuttons(radiobuttons);

        return getRadiobuttons();
    }

    public com.mysql.grt.forms.Listbox getListboxes() {
        return ((FormData) data).getListboxes();
    }

    public com.mysql.grt.forms.Listbox setListboxes(com.mysql.grt.forms.Listbox listboxes) {
        ((FormData) data).setListboxes(listboxes);

        return getListboxes();
    }

    public com.mysql.grt.forms.Dropdown getDropdowns() {
        return ((FormData) data).getDropdowns();
    }

    public com.mysql.grt.forms.Dropdown setDropdowns(com.mysql.grt.forms.Dropdown dropdowns) {
        ((FormData) data).setDropdowns(dropdowns);

        return getDropdowns();
    }

    public com.mysql.grt.forms.Pagecontrol getPagecontrols() {
        return ((FormData) data).getPagecontrols();
    }

    public com.mysql.grt.forms.Pagecontrol setPagecontrols(com.mysql.grt.forms.Pagecontrol pagecontrols) {
        ((FormData) data).setPagecontrols(pagecontrols);

        return getPagecontrols();
    }

    public com.mysql.grt.forms.MenuitemList getMainMenu() {
        return ((FormData) data).getMainMenu();
    }

    public com.mysql.grt.forms.MenuitemList setMainMenu(com.mysql.grt.forms.MenuitemList mainMenu) {
        ((FormData) data).setMainMenu(mainMenu);

        return getMainMenu();
    }

    public com.mysql.grt.forms.Widget getActiveControl() {
        return ((FormData) data).getActiveControl();
    }

    public com.mysql.grt.forms.Widget setActiveControl(com.mysql.grt.forms.Widget activeControl) {
        ((FormData) data).setActiveControl(activeControl);

        return getActiveControl();
    }

    public String getActiveControlById() {
        return ((FormData) data).getActiveControlById();
    }

    public void setActiveControlById(String activeControl) {
        ((FormData) data).setActiveControlById(activeControl);
    }

    public StringBuffer getGrtXmlMembers(StringBuffer xml) {
        super.getGrtXmlMembers(xml);

            xml.append("<value type=\"int\" key=\"active\">"
                    + Integer.toString(getActive()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"alphaBlend\">"
                    + Integer.toString(getAlphaBlend()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"alphaBlendValue\">"
                    + Integer.toString(getAlphaBlendValue()) + "</value>\n");

            if (getWindowState() != null) {
                xml.append("<value type=\"string\" key=\"windowState\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getWindowState()) + "</value>\n");
            }

            if (getEventOnCreate() != null) {
                xml.append("<value type=\"string\" key=\"eventOnCreate\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getEventOnCreate()) + "</value>\n");
            }

            if (getEventOnDestroy() != null) {
                xml.append("<value type=\"string\" key=\"eventOnDestroy\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getEventOnDestroy()) + "</value>\n");
            }

            if (getEventOnActivate() != null) {
                xml.append("<value type=\"string\" key=\"eventOnActivate\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getEventOnActivate()) + "</value>\n");
            }

            if (getEventOnDeactivate() != null) {
                xml.append("<value type=\"string\" key=\"eventOnDeactivate\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getEventOnDeactivate()) + "</value>\n");
            }

            if (getEventOnClose() != null) {
                xml.append("<value type=\"string\" key=\"eventOnClose\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getEventOnClose()) + "</value>\n");
            }

            if (getMainMenu() != null) {
                getMainMenu().getGrtXml(xml, " key=\"mainMenu\"");
            }

            if (getActions() != null) {
                getActions().getGrtXml(xml, " key=\"actions\"");
            }

            if (getMenuitems() != null) {
                getMenuitems().getGrtXml(xml, " key=\"menuitems\"");
            }

            if (getPanels() != null) {
                getPanels().getGrtXml(xml, " key=\"panels\"");
            }

            if (getButtons() != null) {
                getButtons().getGrtXml(xml, " key=\"buttons\"");
            }

            if (getEdits() != null) {
                getEdits().getGrtXml(xml, " key=\"edits\"");
            }

            if (getCheckboxes() != null) {
                getCheckboxes().getGrtXml(xml, " key=\"checkboxes\"");
            }

            if (getRadiobuttons() != null) {
                getRadiobuttons().getGrtXml(xml, " key=\"radiobuttons\"");
            }

            if (getListboxes() != null) {
                getListboxes().getGrtXml(xml, " key=\"listboxes\"");
            }

            if (getDropdowns() != null) {
                getDropdowns().getGrtXml(xml, " key=\"dropdowns\"");
            }

            if (getPagecontrols() != null) {
                getPagecontrols().getGrtXml(xml, " key=\"pagecontrols\"");
            }

            if (getActiveControl() != null) {
                xml.append("<value type=\"string\" option=\"ref\" key=\"activeControl\">"
                        + getActiveControlById() + "</value>\n");
            }

        return xml;
    }
}
