/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.forms;

public class ListboxDataLocal extends com.mysql.grt.forms.WidgetDataLocal implements ListboxData {

    private int multiselect;

    private String lastSelectedItem;

    private com.mysql.grt.GrtStringList items;

    private com.mysql.grt.GrtStringList selectedItems;

    public ListboxDataLocal(com.mysql.grt.GrtObject grtObject) {
        super(grtObject);
    }

    public int getMultiselect() {
        return multiselect;
    }

    public int setMultiselect(int multiselect) {
        this.multiselect = multiselect;

        return getMultiselect();
    }

    public String getLastSelectedItem() {
        return lastSelectedItem;
    }

    public String setLastSelectedItem(String lastSelectedItem) {
        this.lastSelectedItem = lastSelectedItem;

        return getLastSelectedItem();
    }

    public com.mysql.grt.GrtStringList getItems() {
        if (items == null)
            items = new com.mysql.grt.GrtStringList(this.grtObject);
        return items;
    }

    public com.mysql.grt.GrtStringList setItems(com.mysql.grt.GrtStringList items) {
        this.items = items;
        return getItems();
    }

    public com.mysql.grt.GrtStringList getSelectedItems() {
        if (selectedItems == null)
            selectedItems = new com.mysql.grt.GrtStringList(this.grtObject);
        return selectedItems;
    }

    public com.mysql.grt.GrtStringList setSelectedItems(com.mysql.grt.GrtStringList selectedItems) {
        this.selectedItems = selectedItems;
        return getSelectedItems();
    }

}
