/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.model;

public class ElementDataLocal extends com.mysql.grt.GrtObjectDataLocal implements ElementData {

    private int visible;

    private int enabled;

    private int locked;

    private int expanded;

    private double left;

    private double top;

    private double width;

    private double height;

    private String layoutClass;

    private String layer;

    private String group;

    public ElementDataLocal(com.mysql.grt.GrtObject grtObject) {
        super(grtObject);
    }

    public int getVisible() {
        return visible;
    }

    public int setVisible(int visible) {
        this.visible = visible;

        return getVisible();
    }

    public int getEnabled() {
        return enabled;
    }

    public int setEnabled(int enabled) {
        this.enabled = enabled;

        return getEnabled();
    }

    public int getLocked() {
        return locked;
    }

    public int setLocked(int locked) {
        this.locked = locked;

        return getLocked();
    }

    public int getExpanded() {
        return expanded;
    }

    public int setExpanded(int expanded) {
        this.expanded = expanded;

        return getExpanded();
    }

    public double getLeft() {
        return left;
    }

    public double setLeft(double left) {
        this.left = left;

        return getLeft();
    }

    public double getTop() {
        return top;
    }

    public double setTop(double top) {
        this.top = top;

        return getTop();
    }

    public double getWidth() {
        return width;
    }

    public double setWidth(double width) {
        this.width = width;

        return getWidth();
    }

    public double getHeight() {
        return height;
    }

    public double setHeight(double height) {
        this.height = height;

        return getHeight();
    }

    public String getLayoutClass() {
        return layoutClass;
    }

    public String setLayoutClass(String layoutClass) {
        this.layoutClass = layoutClass;

        return getLayoutClass();
    }

    public com.mysql.grt.model.Layer getLayer() {
        return (com.mysql.grt.model.Layer) com.mysql.grt.Grt.getInstance().getObjectByRefId(layer);
    }

    public com.mysql.grt.model.Layer setLayer(com.mysql.grt.model.Layer layer) {
        this.layer = layer.get_id();
        return getLayer();
    }

    public String getLayerById() {
        return layer;
    }

    public void setLayerById(String layer) {
        this.layer = layer;
    }

    public com.mysql.grt.model.Group getGroup() {
        return (com.mysql.grt.model.Group) com.mysql.grt.Grt.getInstance().getObjectByRefId(group);
    }

    public com.mysql.grt.model.Group setGroup(com.mysql.grt.model.Group group) {
        this.group = group.get_id();
        return getGroup();
    }

    public String getGroupById() {
        return group;
    }

    public void setGroupById(String group) {
        this.group = group;
    }

}
